Currie vs GHA RFC · Tennent's Premiership
Tennent's Premiership · 2025-26Full time

61–43

Match report
Currie beat GHA RFC 61-43 at Malleny Park, Currie in round 8 of the Tennent's Premiership on Saturday, 18 October 2025.
GHA RFC have now lost three in a row.
Written automatically from the match data; updated as results come in.
Head to head
5
Currie wins (71%)
0
Draws (0%)
2
GHA RFC wins (29%)
Last 7 meetings, since September 2021
Biggest Currie win
45–0
18 Sept 2021
Biggest GHA RFC win
29–24
31 Oct 2026
Last 5 meetings
- 31 Oct 2026 · Tennent's PremiershipCurrie24GHA RFC2931 Oct 2026Currie24–29GHA RFCTennent's Premiership
- 31 Jan 2026 · Tennent's PremiershipGHA RFC29Currie2431 Jan 2026GHA RFC29–24CurrieTennent's Premiership
- 18 Oct 2025 · Tennent's PremiershipCurrie61GHA RFC4318 Oct 2025Currie61–43GHA RFCTennent's Premiership
- 28 Jan 2023 · Tennent's PremiershipGHA RFC22Currie3528 Jan 2023GHA RFC22–35CurrieTennent's Premiership
- 24 Sept 2022 · Tennent's PremiershipCurrie43GHA RFC4024 Sept 2022Currie43–40GHA RFCTennent's Premiership